<style>
    .homeBanner {
        position: relative;
        width: 66%;
        height: 369px;
        border-radius: 5px;
        border: none;
        overflow: hidden;
    }
    .autocomplete {
  /*the container must be positioned relative:*/
  position: relative !important;
  display: inline-block !important;
}
    /* .traveller-modal .modal-content{
        margin-top: 0%!important;
    } */

  
</style>

<script>
    $('[data-toggle="tooltip"]').tooltip();
</script>
<link rel="stylesheet" href="../styles.css" />

<div class="artloader" ng-show="artloading">
    <div class="cssload-container">
        <div class="cssload-tube-tunnel">
            <img src="assets/loadingart.gif" alt="loader" class="loaderimg" /></div>
            <div class="loadingdata"><p>Please Wait we are processing your action....</p></div>
    </div>
</div>
<div class="artloader" id = "load" style="display:none">
    <div class="cssload-container">
        <div class="cssload-tube-tunnel">
            <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
        </div>
        <!-- <div class="loadingdata"><p>Please Wait we are processing your action....</p></div> -->
    </div>
  </div>
<div class="search-area curvedCorner" style="    max-height: 385px;
overflow-y: auto;
overflow-x: hidden;
margin-right: -15px;
padding-right: 5px;">
    <div class="search-bg">
        <img src="assets/bird.png" />
    </div>
    <div class="tab-content search-content">
        <div id="insuranceSearch" class="tab-pane fadein active" ng-controller="insureController">
            <form id="searchForm" autocomplete="off" ng-submit="insurenceSearch('roundTrip')">
                <ul id="innerTab" class="flight-inline route-tabs">
                    <li class="flight-type" id="round">
                        <a type="button" ng-click="oneWayAndRoundTrip('2')" data-toggle="tab"
                            style="text-decoration: none;" data-target="#roundTrip">Round Trip</a>
                    </li>
                    <li class="flight-type" id="oneWay">
                        <a type="button" ng-click="oneWayAndRoundTrip('1',true)" style="text-decoration: none;"
                            data-toggle="tab" data-flightType="oneWay" data-target="#roundTrip">One way</a>
                    </li>
                    <!-- oneWayAndRoundTrip('1',true) -->
                    <!-- <li class="flight-type">
             <a type="button" data-toggle="tab" ng-click="initMultiCityTrip()" style="text-decoration: none;"
               data-target="#multiCity">Multi-City</a>
          </li> -->
                </ul>
                <div class="tab-content">
                    <div id="roundTrip" class="tab-pane fadein active">
                        <div class="textleft row">
                            <div class="col-md-6 textleft">
                                <div class="form-group">
                                    <span class="size10"><b>Flying from</b></span>
                                    <span role="status" aria-live="polite"
                                        class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                    <input ng-model="insurenceSearchRQ.origin" required="" type="text" id="from_place"
                                        required="" name="from_place" class="form-control ui-autocomplete-input valid"
                                        placeholder="Flying from" autofocus="" onkeypress="return (event.charCode > 64 && event.charCode < 91) || (event.charCode > 96 && event.charCode < 123) || (event.charCode === 32)" onkeyup="this.value=this.value.replace([A-Za-z],'');" autocomplete="off"/>
                                </div>
                            </div>
                            <div class="col-md-6 textleft" id="flyingto">
                                <div class="form-group">
                                    <span class="size10"><b>Flying To</b></span>
                                    <span role="status" aria-live="polite"
                                        class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                    <input ng-model="insurenceSearchRQ.destination" required="" id="to_place"
                                        type="text" required="" class="form-control ui-autocomplete-input valid"
                                        placeholder="Flying to" autofocus="" onkeypress="return (event.charCode > 64 && event.charCode < 91) || (event.charCode > 96 && event.charCode < 123) || (event.charCode === 32)" onkeyup="this.value=this.value.replace([A-Za-z],'');" autocomplete="off"/>
                                </div>
                            </div>
                        </div>
                        <div class="row">
        
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                                <div class="form-group datepickerleave">
                                    <span class=""><b></b></span><br>
                                <input style="height: 16px;width: 44px;" ng-model="insurenceSearchRQ.isPax" ng-click="selectingTrvlr($event,any);" id="checkedvalue"  name="checkedvalue"
                                     type="checkbox"  />Pax Profile
                            </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12" id="fftheader" >
                                <!-- <label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4"><span class="star">Date of Birth</span>:</label> --> 
                                <div class="form-group datepickerleave">
                                    <span class="size10"><b>Travel Type</b></span>
                                    <span
                                    class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required">

                                </span>
                                    <select id="trveltype" name="trveltype"   required="" class="form-control ui-autocomplete-input valid" ng-model="insurenceSearchRQ.travelType">
                                        <option value="">Select</option>
                                        <option  value="{{travel.id}}" ng-repeat="travel in travelType">{{travel.categoryName | uppercase}}</option>
                                    </select>
                                </div>              
                            </div>
                            <!-- <div class="">
                                <input style="height: 16px;width: 44px;position: relative !important; left: 0 !important;" value="1"    ng-model="insurenceSearchRQ.travelType" id="trveltype1"  name="trveltype" 
                                     type="radio"  />Business Travel
                            </div>
                           
                            <div class="">
                                <input style="height: 16px;width: 44px;position: relative !important; left: 0 !important;" value="2"  ng-model="insurenceSearchRQ.travelType" id="trveltype"  name="trveltype" 
                                     type="radio"  />Personal
                            </div> -->
                        </div>
                        <div class="textleft row">
                            <div class="col-md-6 textleft">
                                <div class="form-group">
                                    <span class="size10"><b>When?</b></span>
                                    <!-- <span class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input required type="date" id="daterange1" name="daterange" class="form-control" autocomplete="off" placeholder="Enter a date"
                                        ng-model="insurenceSearchRQ.onwardDateTime" /> -->
                                    <span
                                        class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required">

                                    </span><input onkeydown="return false;" required="" type="text" id="daterange1" required="" name="daterange"
                                        class="form-control date-picker" autocomplete="off" placeholder="Enter a date"
                                        date-range-picker ng-model="rr"
                                        options="flightop" />

                                </div>
                            </div>
                            <div class="col-md-6 textleft pax-count-container">
                                <button type="button" class="btn btn-xs info-icon insureIcon" data-toggle="tooltip"
                                    data-html="true" data-placement="right"
                                    title="You can book upto 9 passengers per booking, including adults and children. Each adult passenger can bring one infant. For other travel requirements like group booking, child travelling alone etc, please contact us.">
                                    <i class="las la-info-circle text-white"></i>
                                </button>
                                <div class="form-group">
                                    <span class="size10"><b>Adult</b></span>
                                    <select class="form-control mb15" name="naming" id="insADT" required=""
                                        ng-change="fAdultChange(insurenceSearchRQ.adultCount)"
                                        ng-model="insurenceSearchRQ.adultCount">
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="3">3</option>
                                        <option value="4">4</option>
                                        <option value="5">5</option>
                                        <option value="6">6</option>
                                        <option value="7">7</option>
                                        <option value="8">8</option>
                                        <option value="9">9</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <span class="size10"><b>Child</b></span>
                                    <select class="form-control mb15" required="" id="insCNN"
                                        ng-model="insurenceSearchRQ.childCount" ng-options="childCount for childCount in fchildCount">
                                        <!-- <option value="0">0</option>
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="3">3</option>
                                        <option value="4">4</option>
                                        <option value="5">5</option>
                                        <option value="6">6</option>
                                        <option value="7">7</option>
                                        <option value="8">8</option>
                                        <option value="9">9</option> -->
                                    </select>
                                </div>
                                <div class="form-group">
                                    <span class="size10"><b>Infant</b></span>
                                    <select class="form-control mb15" required="" id="insIFN"
                                        ng-model="insurenceSearchRQ.infantCount"
                                        ng-options="infantCount for infantCount in fInfantCount">
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <!-- <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 textleft ">
                                <div class="form-group datepickerleave">
                                    <span class="size10"><b>Company</b></span>
                                    <select id="profileContactType"  name="profilecommunication" ng-change="selectBoxCheak(insurenceSearchRQ.customers);"class="form-control  mySelectBoxClass" ng-model="insurenceSearchRQ.customers">
                                        <option value="">Select</option>
                                        <option  value="{{customers.id}}" ng-repeat="customers in corporateCustomers">{{customers.name | uppercase}}</option>
                                    </select>
                                </div>              
                            </div> -->
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12" id="fftheader" >
                                <!-- <label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4"><span class="star">Date of Birth</span>:</label> --> 
                                <div class="form-group datepickerleave">
                                    <span class="size10"><b>FOP</b></span>
    
                                    <select id="profileContactType" name="profilecommunication"  ng-change="fopChange(insurenceSearchRQ.fopId);" class="form-control  mySelectBoxClass" ng-model="insurenceSearchRQ.fopId">
                                        <option value="">Select</option>
                                        <option  value="{{fop.fopId}}" ng-repeat="fop in fopResponse">{{fop.fop | uppercase}}</option>
                                    </select>
                                </div>              
                            </div>
                            <div class="col-md-6 textleft  "  >&nbsp;&nbsp;
                              
                                   
                                        
                                              
                                <div class="form-group row providercss" style="    margin-left: 0px;
                                margin-top: -7px;
                                height: 38px;
                                margin-right: 10px;
                                padding: 7px;">
                                    <label><b class=""> Supplier</b>:</label>
                                <div ng-repeat="provider in providerList">
                                    <label style="color: black;    margin-left: 5px;"><input type="checkbox" id="providerCheck" style="    height: 15px;
                                        width: 17px;" checked ng-click="providerCheck(provider.id,$event);" >{{provider.id}}</label>
                              </div>
                              <h6  ng-show="providerList.length==0" style="color: red;">No Suppliers</h6>

                         </div>
                     </div>
                        </div>
                        <!-- <div class="textleft row" style="margin-left: 0px;" ng-if="providerListvalue">
                             
                            <div class="col-md-6 textleft  "  >&nbsp;&nbsp;
                              
                                   
                                        
                                              
                                                <div class="form-group row providercss" style="    margin-left: -16px;
                                                margin-top: -7px;
                                                height: 38px;
                                                margin-right: 10px;
                                                padding: 7px;">
                                                    <label><b class=""> Supplier</b>:</label>
                                                <div ng-repeat="provider in providerList">
                                                    <label style="color: black;    margin-left: 5px;"><input type="checkbox" id="providerCheck" style="    height: 15px;
                                                        width: 17px;" checked ng-click="providerCheck(provider.id,$event);" >{{provider.id}}</label>
                                              </div>
                                              <h6  ng-show="providerList.length==0" style="color: red;">No Suppliers</h6>
         
                                         </div>
                                     </div>
                                     <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12" >
                                        <div class="form-group">
                                            <span class="size10"><b>Designation</b></span>
                                        <input id="designation" class="form-control ui-autocomplete-input valid" placeholder="Designation" name="designation" required="" ng-model="insurenceSearchRQ.designation"
                                             type="text"  />
                                    </div>
                                    </div>
                        </div> -->
                        <div class="row">
                            <div class="col-xs-12 col-sm-5 col-md-5 col-lg-6 textleft" style="margin-top: -12px;">
                                <button type="submit" id="flight-search" class="btn btn-lg custom-search-btn">
                                    SEARCH
                                </button>
                            </div>
                            <!-- <div class="col-xs-12 col-sm-5 col-md-5 col-lg-6 textleft providercss" style="padding-left: 5px; padding-top: 6px;" ng-if="providerListvalue">
                                <div class="form-group row" style="margin-left: 11px;">
                                    <label><b class="">Selected Supplier</b>:</label>
                                <div ng-repeat="provider in providerList">
                                    <label style="color: black;"><input type="checkbox" id="providerCheck" style="    height: 15px;
                                        width: 17px;" checked ng-click="providerCheck(provider.id,$event);" >{{provider.id}}</label>
                              </div>
                              <h6  ng-show="providerList.length==0" style="color: red;">No Suppliers</h6>
                                </div>
                            </div> -->
                        </div>
                    </div>
                    <div id="multiCity" class="tab-pane fadein">
                        <div class="multicity-groups" style="    max-height: 200px;
    overflow-y: auto;
    overflow-x: hidden;
    margin-right: -15px;
    padding-right: 5px;">
                            <div class="multicity-group" id="cloneTrip">
                                <div class="textleft row"
                                    ng-repeat="multicityInfo in multiCityinsurenceSearchRQ.multicityInfos track by $index">
                                    <div class="col-md-4 textleft">
                                        <div class="form-group">
                                            <span class="size10"><b>Flying From</b></span>
                                            <span role="status" aria-live="polite"
                                                class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input
                                                type="text" ng-click="intiMultiCityFromAirPortAutoComplete($index)"
                                                id="{{'multi_flying_from_'+$index}}" required="" name="from_place"
                                                ng-model="multicityInfo.frmAirport"
                                                class="form-control ui-autocomplete-input valid"
                                                placeholder="Flying from" autofocus="" />
                                        </div>
                                    </div>
                                    <div class="col-md-4 textleft px-0">
                                        <div class="form-group">
                                            <span class="size10"><b>Flying To</b></span>
                                            <span role="status" aria-live="polite"
                                                class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input
                                                type="text" id="{{'multi_flying_to_'+$index}}"
                                                ng-click="intiMultiCityToAirPortAutoComplete($index)" required=""
                                                class="form-control ui-autocomplete-input valid"
                                                ng-model="multicityInfo.toAirport" placeholder="Flying to"
                                                autofocus="" />
                                        </div>
                                    </div>
                                    <div class="col-md-4 textleft">
                                        <div class="form-group">
                                            <span class="size10"><b>When?</b></span>
                                            <span role="status" aria-live="polite"
                                                class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input
                                                onkeydown="return false;" type="date" id="departure" required=""
                                                ng-model="multicityInfo.strDeptDate"
                                                class="form-control ui-autocomplete-input valid" placeholder="Departure"
                                                autofocus="" />
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <div class="textleft row">
                            <div class="col-md-7 textleft pax-count-container">
                                <button type="button" class="btn btn-xs info-icon" data-toggle="tooltip"
                                    data-html="true" data-placement="right"
                                    title="<span style='color: white;background-color: black;'>You can book upto 9 passengers per booking, including adults and children.</span>">
                                    <i class="las la-info-circle text-white"></i>
                                </button>
                                <div class="form-group">
                                    <span class="size10"><b>Adult</b></span>
                                    <select class="form-control mb15"   ng-model="multiCityinsurenceSearchRQ.adtCnt">
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="3">3</option>
                                        <option value="4">4</option>
                                        <option value="5">5</option>
                                        <option value="6">6</option>
                                        <option value="7">7</option>
                                        <option value="8">8</option>
                                        <option value="9">9</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <span class="size10"><b>Child</b></span>
                                    <select class="form-control mb15" ng-model="multiCityinsurenceSearchRQ.chldCnt">
                                        <option value="0">0</option>
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="3">3</option>
                                        <option value="4">4</option>
                                        <option value="5">5</option>
                                        <option value="6">6</option>
                                        <option value="7">7</option>
                                        <option value="8">8</option>
                                        <option value="9">9</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-5 textleft add-trip-btn-section">
                                <button type="button" class="btn btn-outline add-trip-btn" style="border-color: white;padding: 5px 4px;
    margin-top: 19px;" ng-click="addMultiCityTrip()" href="#cloneTrip">Add Trip</button>
                                <button type="button" class="btn btn-outline remove-trip-btn"
                                    ng-click="removeMultiCityTrip()"
                                    style="border-color: white;     margin-top: 19px;">Remove</button>
                            </div>
                        </div>
                        <div class="textleft row home-search-btn-section searchmobile">
                            <div class="col-xs-12 col-sm-5 col-md-5 col-lg-5 textleft">
                                <button type="submit" ng-click="flightSearch('multiCity')"
                                    class="btn btn-lg custom-search-btn">
                                    SEARCH
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>


    </div>
</div>

<!--Banner Content-->

    <iframe src="bannercms.html" height="760px" width="100%" style="border:none; overflow:hidden;"  id="bannerimgid" title="Iframe Example"></iframe>


<style>
        .providercss{
        background-color: white;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}
    .tooltip-inner {
        background-color: black !important;
        color: #fff;
    }

    .form-control {
        color: black !important;
    }

    .custom-search-btn {
        background: linear-gradient(#d91718, #d91718) !important;
        border: 1px solid #d91718 !important;
        font-family: "Montserrat", sans-serif !important;
        font-size: 13px !important;
        font-weight: 700 !important;
        color: #fff !important;
        margin-top: 9px !important;
    }

    .btn:hover {
        color: black !important;
        background-color: red !important
    }

    .daterangepicker table {
        width: 100% !important;
        margin: 0 !important;
        font-size: 12px !important;
    }

    .btn-success {
        color: #fff !important;
        background-color: red !important;
        border-color: red !important;
    }

    .checkbox-label.home-cb {
        font-size: 13px;
        color: #fff;
        line-height: 16px;
        font-weight: 600;
        margin-bottom: 15px;
    }

    .checkbox-label .checkbox-custom {
        position: absolute;
        top: 0px;
        left: 0px;
        height: 18px;
        width: 18px;
        transform: scale(0.85);
        background-color: transparent;
        border-radius: 4px;
        transition: all 0.3s ease-out;
        -webkit-transition: all 0.3s ease-out;
        -moz-transition: all 0.3s ease-out;
        -ms-transition: all 0.3s ease-out;
        -o-transition: all 0.3s ease-out;
        border: 2px solid white;
    }

    .remove-trip-btn:hover {
        background-color: #2195c3 !important;
    }

    .add-trip-btn:hover {
        background-color: #2195c3 !important;
    }

    .daterangepicker.dropdown-menu {
        max-width: 493px !important;
        z-index: 3000 !important;
        right: 0px !important;
        left: 0px !important;
    }

    .daterangepicker.dropdown-menu.single {
        max-width: fit-content !important;
    }
</style>

<script type="text/ng-template" id="insurance.tmpl.html">
	<div ng-include="'views/common/insuranceModel.html'"></div>
 </script>
